list.linkedlist

## Class LinkedListMemberReference

- java.lang.Object
- - list.linkedlist.LinkedListMemberReference

- All Implemented Interfaces:
    MemberReference

      public class LinkedListMemberReference
      extends java.lang.Object
      implements MemberReference

  Odkaz na člen seznamu, umožňuje porovnání.

  Popis: Musí umožňovat odkazy jak do polí, tak i na členy spojových seznamů. Tyto odkazy se pak používají jednotným způsobem v posloupnostech, zejména v mělkých posloupnostech. Různé implementace seznamů musí být navzájem zaměnitelné, aniž by se muselo zasáhnout do implementace mělké posloupnosti. To znamená, že totéž použití funkce isTheSameAs () jednou porovná identitu členů spojového seznamu a jindy identitu prvků pole (to záleží jen na konfiguraci projektu - a ta se dá měnit podle potřeby v konfiguračním modulu).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private LinkedListMember` | `base` odkaz na zvolený člen seznamu

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinkedListMemberReference(LinkedListMember aBase)` Vyrobí odkaz na člen seznamu.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isTheSameAs(MemberReference r)` Porovná totožnost dvou členů posloupností.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### base

          private LinkedListMember base

      odkaz na zvolený člen seznamu

  - ### Constructor Detail

    - #### LinkedListMemberReference

          LinkedListMemberReference(LinkedListMember aBase)

      Vyrobí odkaz na člen seznamu.
      Parameters:
        `aBase` - odkaz na zvolený člen seznamu

  - ### Method Detail

    - #### isTheSameAs

          public boolean isTheSameAs(MemberReference r)

      Description copied from interface: `MemberReference`
      Porovná totožnost dvou členů posloupností.
      Specified by:
        `isTheSameAs` in interface `MemberReference`
      Parameters:
        `r` - člen k porovnání
      Returns:
        true když člen je totožný, jinak false